Page MenuHomePhabricator

[Task] Allow formatting of external identifiers as wiki links when using rich wikitext output
Closed, ResolvedPublic

Description

This is about creating the necessary infrastructure required for a new parser function that outputs "rich wikitext" with links, in contrast to the "escaped wikitext" the existing property parser function outputs.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterLink external ids when used in Wikitext

Event Timeline

hoo created this task.Oct 13 2016, 11:41 AM

Change 288524 had a related patch set uploaded (by Hoo man):
Link external ids when used in Wikitext

https://gerrit.wikimedia.org/r/288524

According to this tickets title this is still a breaking change. Please clarify.

hoo added a comment.Oct 18 2016, 6:52 PM

According to this tickets title this is still a breaking change. Please clarify.

It is a breaking change to the FORMAT_WIKI output indeed. But given this is not used by us anywhere currently, the impact is null.

The only way to get FORMAT_WIKI output currently is to use the wbformatvalue API. This is not being used as far as we know (see T147591: Look at FORMAT_WIKI usages in the wbformatvalue API for that), but nevertheless we still announced this change (https://lists.wikimedia.org/pipermail/wikidata/2016-October/009802.html etc.).

thiemowmde renamed this task from EntityIdValues should be formatted as local wiki links in Wikitext output to [Task] Allow formatting of external identifiers as wiki links when using rich wikitext output.Oct 19 2016, 10:43 AM
thiemowmde assigned this task to hoo.
thiemowmde updated the task description. (Show Details)
thiemowmde added a subscriber: Jonas.
thiemowmde closed this task as Resolved.Oct 20 2016, 7:28 AM
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2016-10-12 board.

Change 288524 merged by jenkins-bot:
Link external ids when used in Wikitext

https://gerrit.wikimedia.org/r/288524